// $Id$
// fichier de donnees gmsh


//X=250m
//Y=250m
//Z=250m

Lx = 250;
Ly = 250;
Lz = 250;

nl = 30;

lc = Lx/nl;



Point(1) = {  0,   0, 0, lc};
Point(2) = { Lx,   0, 0, lc};
Point(3) = { Lx, -Ly, 0, lc};
Point(4) = {-Lx, -Ly, 0, lc};
Point(5) = {-Lx,   0, 0, lc};

Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 5};
Line(5) = {5, 1};
Line Loop(6) = {5, 1, 2, 3, 4};
Plane Surface(7) = {6};
Recombine Surface {7};

Extrude {0, 0, Lz} 
{
  Surface{7}; Layers{nl}; Recombine;
}

Extrude {0, 0, -Lz} 
{
  Surface{7}; Layers{nl}; Recombine;
}

// physical entities

Physical Point("Source Point") = {1};
Physical Line("Measurement line") = {1};
Physical Surface("Up Side") = {17, 44, 48, 21};
// Physical Surface("Bottom Side") = {29, 56};
// Physical Surface("Front Side") = {34};
// Physical Surface("Rear Side") = {61};
// Physical Surface("Right Side") = {25, 52};
// Physical Surface("Left Side") = {33, 60};

Physical Surface("ABC") = {29, 56, 34, 61, 25, 52, 33, 60};

Physical Volume("Volume") = {1, 2};



